Subject: bug#57854: 29.0.50; Different exit code in Emacs and terminal for identical process

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Sep 2022 09:10:12 +0300

> From: dalanicolai <[email-masked]>
> Date: Fri, 16 Sep 2022 21:29:15 +0200
> Cc: [email-masked]
> 
> I don't understand the answer well (my knowledge about computers is very limited),
> i.e. I do not immediately understand what it means for a file to be a tty.
> 
> But also, I think the isatty() is about the TOC file, i.e. the file given as INFILE (after the `<`)
> But I am not giving any INFILE (which would make the command add the TOC to the file given as
> argument),
> Instead I simply provide a single filepath as argument so that the command simply prints the TOC.

I mentioned that aspect because it could be different between
invocation from shell prompt and from call-process.  I didn't examine
the Python code of the program more than look at the snipped you
posted.

Basically, I don't think this is an Emacs problem, because
call-process faithfully reports the exit code of the program it runs.
The reason for the different behavior is almost certainly in the
program itself or in some factor that is different between how you
invoke it from shell and how you invoked it from Lisp.